/*
 * Class ACTIVE [INTEGER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1864 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1864 [] = {0xFF01,1551,1863,845,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1864 [] = {0xFF01,1863,845,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1864 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1864 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1864 [] = {0xFF01,1863,845,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1864 [] = {0xFF01,1863,845,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1864 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1864 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1864 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1864 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1864 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1864 [] = {1863,845,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1864 [] = {0xFF01,1863,845,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1864 [] = {0xFF01,1859,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1864 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1864 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1864[] = {
	{EIF_GENERIC(NULL), 9090, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1864), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1864), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1864), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1864), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1864), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1864), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1864), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1864), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1864), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1864), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1864), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1864), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1864), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1864), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8638, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8639, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8640, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8641, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8642, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1864), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1864), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9033, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9034, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9035, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1864), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9091, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1864(void)
{
	IDSC(desc_1864, 0, 1863);
	IDSC(desc_1864 + 1, 1, 1863);
	IDSC(desc_1864 + 32, 1134, 1863);
	IDSC(desc_1864 + 41, 1135, 1863);
	IDSC(desc_1864 + 50, 1060, 1863);
	IDSC(desc_1864 + 56, 778, 1863);
}


#ifdef __cplusplus
}
#endif
